Overview
Top Next

The Unit Conversion Utility is a simple utility which allows you to convert from dozens of units of measure, in a variety of categories, to other units of measure. For example, within the Length category you can convert Metres into feet, fathoms, chains, inches etc. Any one of the units may be converted into any other unit.

The application supports 13 separate conversion categories, these being:

· Area (Primary unit is Square Metres)
· Density (Primary unit is Kilograms per Litre)
· Energy (Primary unit is Joules)
· Force (Primary unit is Newtons)
· Length (Primary unit is Metres)
· Mass (Primary unit is Kilograms)
· Power (Primary unit is Watts)
· Pressure (Primary unit is Pascals)
· Speed (Primary unit is Metres per Second)
· Volume (Primary unit is Litres)
· Temperature (Primary unit is Celcius)
· Kilobytes (Primary unit is Kilobytes)
· Time (Primary unit is Hours)

Within these categories there are dozens of conversions, providing over 235 separate conversions. However, as each conversion can be done in both directions there are actually more than 470 conversions!

This application is continually being enhanced. If you like the application, but have some suggestions for enhancements or improvements, then please get in touch. If you don't like the application then please tell me what you don't like!

This help file is accurate as of version 2.1.0.3 (or later) of the Utility.


About Unit Conversion Utility
Previous Top Next

The Unit Conversion Utility was written by Jim Willsher using Visual C++ with the Microsoft Foundation Classes (MFC) architecture. It is a true 32-bit application, designed and built for 32-bit platforms.

Previous versions of this application were written in Visual Basic, but I wanted to teach myself MFC-development so this seemed an ideal opportunity.

If you have any comments or suggestions about the application, or find any errors in the application, then please get in touch. The latest version of the application can always be downloaded from my website.

My email address is jim@jimwillsher.co.uk for support issues and suggestions.
My website is www.jimwillsher.co.uk
The utility's homepage is http://www.jimwillsher.co.uk/ucu.

Copyright Jim Willsher 2005.


Launching the application

When you run the application for the very first time you will be presented with the main window, located in the centre of the screen. This will only happen the first time - subsequent launches will position the window wherever you left it. This is true of all windows - the position of the window is retained betweens sessions.

In addition, whenever you re-launch the application most of the settings from your previous session will be retained, such as the category you were using.

Only one instance of the application may be launched. If you try to run the application, and there is already a version running, then a message will be displayed and the new instance will terminate.


Selecting a category

To select a category you can either use the Category menu, or you can press one of the short-cut keys, e.g. CTRL+D will select Density.

Whenever you change category the source-unit will be set to the for that category. So for example, if you choose Length as your category then the source-unit will be set the Metres. This can, however, be changed to any unit belonging to the category.

The application supports 11 separate conversion categories, these being:

· Area
· Density
· Energy
· Force
· Length
· Mass
· Power
· Pressure
· Speed
· Volume
· Temperature
· Kilobytes
· Time

The toolbar provides you with quick access to the categories with a single mouse click.


Performing a Calculation

Performing a calculation is simple - just follow these steps:

1. Ensure that the category is correct - if not then choose the right one, using either the menu, the toolbar or hotkeys.
2. Select the unit which represents your current quantity. For example select Feet if you wish to convert imperial feet to another unit.
3. Enter the quantity you would like to convert. This may be done using the mouse to select the buttons, or you may use the keyboard.
4. Press the equals button. The display-box on the right hand side will display the equivalent quantity in all the units in the category. So, for a length calculation you will see the equivalent quantity in feet, inches, metres, kilometres, yards etc.

The keyboard acts like a normal calculator. Numbers are added sequentially from the right hand side, so for example if you press 1 followed by 7 then 17 appears on the screen, filling from the right. You can use AC to clear the entire calculation, and C to clear the last character(s) entered.

You can click on either of the two columns to sort the results by that column. Clicking a column again will reverse the sort.


Revising a Calculation

If you find that you have selected the wrong source-unit, or you just want to experiment with different units, then you may double-click one of the units in the results window. All the calculations will be performed again, this time using your new chosen unit. The base quantity will remain unchanged.


Maintaining the Conversions

The actual conversions themselves are held in a separate text files contained within the application directory. For example, Length.txt, Volume.txt. To maintain the conversions simply edit the appropriate file in a text editor such as Notepad.

Each conversion takes one line, the layout fo which is:

Unit The source or destination unit, e.g. Metres.
PrimaryUnit? A flag to denote the for a category. Only one unit per category should have this flag set.
ExpOrMult Calculation is an expression (True) or a multipleer (False)
Multiplier The quantity by which a given quantity must be multiplied to give the equivalent in primary units. So for example, to convert feet to metres (primary unit for Length) you multiply by 0.3048.

All conversion "multipliers" are on the basis of conversion the for the category. So for example if you want to add a new Length conversion then simply work out how many metres (the primary unit in the category) there are in your chosen unit and use this value as the multiplier.


Configuring the Application

You can easily configure the way that the application interacts with your desktop. This is done via the Options and Decimal Places menus. For example, you can choose to have the Unit Conversion Utility always on top, so that it is easily to hand.

options

Always on Top
This option allows you to keep the Bulk Rename Utility on top of all windows. This can be handy if you are working with multiple applications and you want instant access to the Utility without having to find it in your taskbar.

Display Gridlines
This allows you to display gridlines in the file list. Some people find the list easier to read with the gridlines, which give you an "Excel-style" grid.

Decimal Places
You can specify how accurate you would like the calculations to be. This can be any number of decimal places, from zero places to 10 places. Wherever the calculation extends beyond the given accuracy it is rounded accordingly.


Using the Clipboard

The result of a calculation can be copied to the clipboard for pasting into other applications. Once a calculation has been performed click the unit-field in the results window and press CTRL+C, or choose the option from the Edit menu. The resulting quantity is now available to other applications. If the toolbar is visible then you can also use the toolbar to copy to the clipboard - the button will become enabled once a calculation is available for copying.

You can also copy a formatted description to the clipboard. This details the full conversion for the selected line, e.g.

9 Rankine = -268.15 Celcius

The copy facility works like this: If you have a result-line selected on the right hand side then you get the fully formatted conversion, like the example above. if you don't have a result-line selected then you just get the source unit and value.


Support
Previous Top

If you have any comments or suggestions about the application, or find any errors in the application, then please get in touch. The latest version of the application can always be downloaded from my website.

My email address is jim@jimwillsher.co.uk for support issues and suggestions.

My website is www.jimwillsher.co.uk

If you get in touch with a problem then please email the following details:
· Your version of Windows (e.g. 98SE, XP Home etc. etc.)
· The version of the utility (found at Help, About)
· The Audit.txt file, contained within the application folder (if present)
· The Errorlog.txt file, contained within the application folder (if present)

I will normally respond to emails the same day, subject to holidays etc.


.topic 10
The Unit Conversion Utility is a simple utility which allows you to convert from dozens of units of measure, in a variety of categories, to other units of measure. For example, within the Length category you can convert Metres into feet, fathoms, chains, inches etc. Any one of the units may be converted into any other unit.

The application supports 13 separate conversion categories, these being:

    Area (Primary unit is Square Metres)
    Density (Primary unit is Kilograms per Litre)
    Energy (Primary unit is Joules)
    Force (Primary unit is Newtons)
    Length (Primary unit is Metres)
    Mass (Primary unit is Kilograms)
    Power (Primary unit is Watts)
    Pressure (Primary unit is Pascals)
    Speed (Primary unit is Metres per Second)
    Volume (Primary unit is Litres)
    Temperature (Primary unit is Celcius)
    Kilobytes (Primary unit is Kilobytes)
    Time (Primary unit is Hours)

Within these categories there are dozens of conversions, providing over 235 separate conversions. However, as each conversion can be done in both directions there are actually more than 470 conversions!

This application is continually being enhanced. If you like the application, but have some suggestions for enhancements or improvements, then please get in touch. If you don't like the application then please tell me what you don't like!

This help file is accurate as of version 2.1.0.3 (or later) of the Utility.

.topic 20
The Unit Conversion Utility was written by Jim Willsher using Visual C++ with the Microsoft Foundation Classes (MFC) architecture. It is a true 32-bit application, designed and built for 32-bit platforms.

Previous versions of this application were written in Visual Basic, but I wanted to teach myself MFC-development so this seemed an ideal opportunity.

If you have any comments or suggestions about the application, or find any errors in the application, then please get in touch. The latest version of the application can always be downloaded from my website.

My email address is jim@jimwillsher.co.uk for support issues and suggestions.
My website is www.jimwillsher.co.uk
The utility's homepage is http://www.jimwillsher.co.uk/ucu.

Copyright Jim Willsher 2005.

.topic 30
When you run the application for the very first time you will be presented with the main window, located in the centre of the screen. This will only happen the first time – subsequent launches will position the window wherever you left it. This is true of all windows – the position of the window is retained betweens sessions.

In addition, whenever you re-launch the application most of the settings from your previous session will be retained, such as the category you were using.

Only one instance of the application may be launched. If you try to run the application, and there is already a version running, then a message will be displayed and the new instance will terminate.

.topic 40
To select a category you can either use the Category menu, or you can press one of the short-cut keys, e.g. CTRL+D will select Density.

Whenever you change category the source-unit will be set to the primary unit for that category. So for example, if you choose Length as your category then the source-unit will be set the Metres. This can, however, be changed to any unit belonging to the category.

The application supports 11 separate conversion categories, these being:

    Area
    Density
    Energy
    Force
    Length
    Mass
    Power
    Pressure
    Speed
    Volume
    Temperature
    Kilobytes
    Time

The toolbar provides you with quick access to the categories with a single mouse click.

.topic 50
Performing a calculation is simple – just follow these steps:

1.	Ensure that the category is correct – if not then choose the right one, using either the menu, the toolbar or hotkeys.
2.	Select the unit which represents your current quantity. For example select Feet if you wish to convert imperial feet to another unit.
3.	Enter the quantity you would like to convert. This may be done using the mouse to select the buttons, or you may use the keyboard.
4.	Press the equals button. The display-box on the right hand side will display the equivalent quantity in all the units in the category. So, for a length calculation you will see the equivalent quantity in feet, inches, metres, kilometres, yards etc.

The keyboard acts like a normal calculator. Numbers are added sequentially from the right hand side, so for example if you press 1 followed by 7 then 17 appears on the screen, filling from the right. You can use AC to clear the entire calculation, and C to clear the last character(s) entered.

You can click on either of the two columns to sort the results by that column. Clicking a column again will reverse the sort.

.topic 60
If you find that you have selected the wrong source-unit, or you just want to experiment with different units, then you may double-click one of the units in the results window. All the calculations will be performed again, this time using your new chosen unit. The base quantity will remain unchanged.

.topic 70
The actual conversions themselves are held in a separate text files contained within the application directory. For example, Length.txt, Volume.txt. To maintain the conversions simply edit the appropriate file in a text editor such as Notepad.

Each conversion takes one line, the layout fo which is:

Unit		The source or destination unit, e.g. Metres.
PrimaryUnit?	A flag to denote the Primary Unit for a category. Only one unit per category should have this flag set.
ExpOrMult	Calculation is an expression (True) or a multipleer (False)
Multiplier	The quantity by which a given quantity must be multiplied to give the equivalent in primary units. So for example, to convert feet to metres (primary unit for Length) you multiply by 0.3048.

All conversion "multipliers" are on the basis of conversion the Primary Unit for the category. So for example if you want to add a new Length conversion then simply work out how many metres (the primary unit in the category) there are in your chosen unit and use this value as the multiplier.

.topic 100
You can easily configure the way that the application interacts with your desktop. This is done via the Options and Decimal Places menus. For example, you can choose to have the Unit Conversion Utility always on top, so that it is easily to hand.

Always on Top
This option allows you to keep the Bulk Rename Utility on top of all windows. This can be handy if you are working with multiple applications and you want instant access to the Utility without having to find it in your taskbar.

Display Gridlines
This allows you to display gridlines in the file list. Some people find the list easier to read with the gridlines, which give you an "Excel-style" grid.

Decimal Places
You can specify how accurate you would like the calculations to be. This can be any number of decimal places, from zero places to 10 places. Wherever the calculation extends beyond the given accuracy it is rounded accordingly.

.topic 80
The result of a calculation can be copied to the clipboard for pasting into other applications. Once a calculation has been performed click the unit-field in the results window and press CTRL+C, or choose the option from the Edit menu. The resulting quantity is now available to other applications. If the toolbar is visible then you can also use the toolbar to copy to the clipboard – the button will become enabled once a calculation is available for copying.

You can also copy a formatted description to the clipboard. This details the full conversion for the selected line, e.g.

    9 Rankine = -268.15 Celcius

The copy facility works like this: If you have a result-line selected on the right hand side then you get the fully formatted conversion, like the example above. if you don't have a result-line selected then you just get the source unit and value.

.topic 120
If you have any comments or suggestions about the application, or find any errors in the application, then please get in touch. The latest version of the application can always be downloaded from my website.

My email address is jim@jimwillsher.co.uk for support issues and suggestions.

My website is www.jimwillsher.co.uk

If you get in touch with a problem then please email the following details:
Your version of Windows (e.g. 98SE, XP Home etc. etc.)
The version of the utility (found at Help, About)
The Audit.txt file, contained within the application folder (if present)
The Errorlog.txt file, contained within the application folder (if present)

I will normally respond to emails the same day, subject to holidays etc.


 Primary Unit - the main unit in the category. All conversion factors are specified in relation to this main unit. The primary units are as follows:

· Category Primary Unit
· Length Metres
· Mass Kilograms
· Volume Litres
· Area Square Metres
· Density Kilograms per Litre
· Pressure Pascals
· Speed Metres per Second
· Energy Joules
· Force Newtons
· Power Watts
· Temperature Celcius

The choice of primary unit has been derived from the System Internationalé standards (SI units), with the exception of Temperature where Celcius seemed a more logical choice than Kelvin.